#!/bin/bash

echo "START logout script" >> $TMPDIR/login.log

service_lock=$(systemctl --user status freerdp-locker.timer | grep "Active: active" | wc -l)

# Остановка сервиса блокировки устройств ввода-вывода
if [ $service_lock -eq 1 ]; then
    systemctl --user stop freerdp-locker.timer
fi

desired=1

sessioncount=`netstat -an | grep '3389' | grep ESTABLISHED | wc -l`
dsession=`loginctl | grep 'seat' | sed -re   's/^[^0-9]*([0-9]+).*$/\1/'`
keyboards=`xinput | grep -v "XTEST" | grep "slave  keyboard" | sed -re 's/^.*\sid=([0-9]+)\s.*$/\1/'`
mouses=`xinput | grep -v "XTEST" | grep "slave  pointer" | sed -re 's/^.*\sid=([0-9]+)\s.*$/\1/'`
monitors=`xrandr | grep " connected" | sed -re 's/^(.+) connected.*$/\1/'`
readarray -t lines < ~/.config/display_defaults.txt

loginctl lock-session $dsession

# Включение устройств ввода-вывода
for device in $mouses $keyboards
do
    xinput --set-prop $device "Device Enabled" $desired

done

# Применение настроек дисплеев сохраненных скриптом входа
for line in "${lines[@]}"; do
    if [[ ! -z "$line" ]]; then
        args=( $line )
        echo "xrandr --output ${args[0]} --mode ${args[1]} --pos ${args[2]}" >> $TMPDIR/login.log
        xrandr --output ${args[0]} --mode ${args[1]} --pos ${args[2]}
        sleep 2
    fi
done


# Включение мониторов
for device in $monitors
do
    xrandr --output $device --brightness $desired
done

echo "END logout script" >> $TMPDIR/login.log
