#!/bin/bash

export DISPLAY=:0.0
desired=0

connections=$(netstat -an | grep '3389' | grep ESTABLISHED | wc -l)
displays=$(xrandr | grep \ connected)
display_settings_pattern='([a-zA-Z-]*[0-9]+)\ connected\ [^0-9]*([0-9]+x[0-9]+)\+([0-9]+)\+([0-9]+)'
keyboards=`xinput | grep -v "XTEST" | grep "slave  keyboard" | sed -re 's/^.*\sid=([0-9]+)\s.*$/\1/'`
mouses=`xinput | grep -v "XTEST" | grep "slave  pointer" | sed -re 's/^.*\sid=([0-9]+)\s.*$/\1/'`

if [[ "$connections" -ne 0 ]]; then
    # Отключаем все мониторы
    while read line; do
        if [[ $line =~ $display_settings_pattern ]]; then
            device=$(echo $line | cut -d ' ' -f1)
            xrandr --output $device --brightness $desired
        fi
    done <<< "$displays"
    # Отключение всех клавиатур и мышек
    for device in $mouses $keyboards
    do
        xinput --set-prop $device "Device Enabled" $desired
    done
fi

